#pragma once
 
using namespace System;
using namespace System::ComponentModel;
using namespace System::Collections;
using namespace System::Diagnostics;
using namespace Extensibility;
using namespace System::Windows::Forms;
using namespace System::Runtime::InteropServices;
 
namespace AdxHT_012_VC
{
    //Add-in Express Add-in Module
    [GuidAttribute("3DA1C071-2E4D-499C-AE8D-86B6FF5DB3CC"), ProgId("AdxHT_012_VC.AddinModule")]
    __gc public class AddinModule : public AddinExpress::MSO::ADXAddinModule
    {
    public:
        AddinModule(void): AddinExpress::MSO::ADXAddinModule()
        {
            InitializeComponent();
        }
        AddinModule(System::ComponentModel::IContainer *container) : components(0)
        {
            /// <summary>
            /// Required for Windows.Forms Class Composition Designer support
            /// </summary>
 
            container->Add(this);
            InitializeComponent();
        }
 
        System::ComponentModel::IContainer* GetContainer()
        {
            return components;
        }
 
        void UninstallControls()
        {
            AddinExpress::MSO::ADXAddinModule::UninstallControls();
        }
 
        [ComRegisterFunctionAttribute]
        static void AddinRegister(System::Type* t)
        {
            AddinExpress::MSO::ADXAddinModule::ADXRegister(t);
        }
 
        [ComUnregisterFunctionAttribute]
        static void AddinUnregister(System::Type* t)
        {
            AddinExpress::MSO::ADXAddinModule::ADXUnregister(t);
        }
 
    protected:
        void Dispose(Boolean disposing)
        {
            if (disposing && components)
            {
                components->Dispose();
            }
            __super::Dispose(disposing);
        }
	private: AddinExpress::MSO::ADXCommandBar *  adxCommandBar1;
	private: AddinExpress::MSO::ADXCommandBarComboBox *  adxCommandBarComboBox1;
	private: AddinExpress::MSO::ADXCommandBarButton *  adxCommandBarButton1;
	private: AddinExpress::MSO::ADXCommandBarButton *  adxCommandBarButton2;
	private: System::ComponentModel::IContainer *  components;

    private:
        /// <summary>
        /// Required designer variable.
        /// </summary>

 
        /// <summary>
        /// Required method for Designer support - do not modify
        /// the contents of this method with the code editor.
        /// </summary>
        void InitializeComponent(void)
        {
			this->components = new System::ComponentModel::Container();
			this->adxCommandBar1 = new AddinExpress::MSO::ADXCommandBar(this->components);
			this->adxCommandBarComboBox1 = new AddinExpress::MSO::ADXCommandBarComboBox(this->components);
			this->adxCommandBarButton1 = new AddinExpress::MSO::ADXCommandBarButton(this->components);
			this->adxCommandBarButton2 = new AddinExpress::MSO::ADXCommandBarButton(this->components);
			// 
			// adxCommandBar1
			// 
			this->adxCommandBar1->CommandBarName = S"ADX2 Command Bar (ComboBox Example) (VC)";
			this->adxCommandBar1->CommandBarTag = S"b83ebbee-a964-496f-8723-c4eae7b2de4b";
			this->adxCommandBar1->Controls->Add(this->adxCommandBarComboBox1);
			this->adxCommandBar1->Controls->Add(this->adxCommandBarButton1);
			this->adxCommandBar1->Controls->Add(this->adxCommandBarButton2);
			this->adxCommandBar1->UpdateCounter = 5;
			// 
			// adxCommandBarComboBox1
			// 
			this->adxCommandBarComboBox1->Caption = S"ComboBox";
			this->adxCommandBarComboBox1->ControlTag = S"672365d1-bc12-4f0e-ac4a-33d818ebf8d0";
			System::String* __mcTemp__1[] = new System::String*[5];
			__mcTemp__1[0] = S"Item 1";
			__mcTemp__1[1] = S"Item 2";
			__mcTemp__1[2] = S"Item 3";
			__mcTemp__1[3] = S"Item 4";
			__mcTemp__1[4] = S"Item 5";
			this->adxCommandBarComboBox1->Items->AddRange(__mcTemp__1);
			this->adxCommandBarComboBox1->UpdateCounter = 5;
			this->adxCommandBarComboBox1->Change += new AddinExpress::MSO::ADXChange_EventHandler(this, adxCommandBarComboBox1_Change);
			// 
			// adxCommandBarButton1
			// 
			this->adxCommandBarButton1->Caption = S"Change ComboBox";
			this->adxCommandBarButton1->ControlTag = S"c54ee281-8b97-4dc6-86a2-b7f44a1a5a22";
			this->adxCommandBarButton1->ImageTransparentColor = System::Drawing::Color::Transparent;
			this->adxCommandBarButton1->UpdateCounter = 3;
			this->adxCommandBarButton1->Click += new AddinExpress::MSO::ADXClick_EventHandler(this, adxCommandBarButton1_Click);
			// 
			// adxCommandBarButton2
			// 
			this->adxCommandBarButton2->Caption = S"Restore ComboBox";
			this->adxCommandBarButton2->ControlTag = S"ad5016b3-e523-4e7b-8ca5-a0da37e69b20";
			this->adxCommandBarButton2->ImageTransparentColor = System::Drawing::Color::Transparent;
			this->adxCommandBarButton2->UpdateCounter = 3;
			this->adxCommandBarButton2->Click += new AddinExpress::MSO::ADXClick_EventHandler(this, adxCommandBarButton2_Click);
			// 
			// AddinModule
			// 
			this->AddinName = S"AnyHostExample (VC)";
			this->Description = S"ADX2 ComboBox Example (VC)";
			this->SupportedApps = AddinExpress::MSO::ADXOfficeHostApp::ohaOutlook;

		}
	private: System::Void adxCommandBarComboBox1_Change(System::Object *  sender)
			 {
				 MessageBox::Show(__try_cast<AddinExpress::MSO::ADXCommandBarComboBox*>(sender)->Text);
			 }

private: System::Void adxCommandBarButton1_Click(System::Object *  sender)
		 {
			 adxCommandBarComboBox1->Items->Clear();
             for(int i=10;i>0; i--)
		     {
				 adxCommandBarComboBox1->Items->Add(System::String::Concat("Item ", Convert::ToString(i)));
                 adxCommandBarComboBox1->ListHeaderCount = 5;
                 adxCommandBarComboBox1->ListIndex = 1;
		     }
		 }

private: System::Void adxCommandBarButton2_Click(System::Object *  sender)
		 {
			 adxCommandBarComboBox1->Items->Clear();
             for(int i=1;i<=5; i++)
		     {
				 adxCommandBarComboBox1->Items->Add(System::String::Concat("Item ", Convert::ToString(i)));
                 adxCommandBarComboBox1->ListHeaderCount = 2;
                 adxCommandBarComboBox1->ListIndex = 1;
		     }
		 }

};
}

